\begin{tikzpicture}[
  align                   = center,
  scale                   = 0.81,
  every node/.style       = {scale=0.81},
  every edge/.style       = {draw, ->, >={Stealth[width=6pt,length=9pt]}},
  edge from parent/.style = {draw, ->, >={Stealth[width=6pt,length=9pt]}},
  level 1/.style          = {level distance=18mm},
  level 2/.style          = {level distance=20mm},
  expr_node/.style        = {shape=rectangle, draw=RoslynExprNodeBorder,
                             fill=white, text=black, line width=1mm},
  content_node/.style     = {shape=rectangle, rounded corners,
                             draw=RoslynNodeContentBorder, fill=white,
                             text=black, line width=1mm}
]

  \Tree [.\node[expr_node](E){SubtractExpression}; [.\node[expr_node](E1){MultiplyExpression};
                                                       [.\node[expr_node](L11){NumericLiteralExpression};]
                                                       [.\node[expr_node](L12){NumericLiteralExpression};]]
                                                   [.\node[expr_node](E2){MultiplyExpression};
                                                       [.\node[expr_node](L21){NumericLiteralExpression};]
                                                       [.\node[expr_node](L22){NumericLiteralExpression};]]]

  \node [content_node] (C)   [left=10mm of E]    {$2 * 2 - 2 * 2$};
  \node [content_node] (C1)  [left=10mm of E1]   {$2 * 2$};
  \node [content_node] (C2)  [right=10mm of E2]  {$2 * 2$};
  \node [content_node] (C11) [below=10mm of L11] {$2$};
  \node [content_node] (C12) [below=10mm of L12] {$2$};
  \node [content_node] (C21) [below=10mm of L21] {$2$};
  \node [content_node] (C22) [below=10mm of L22] {$2$};

  \path[->] (C)   edge [midway] (E)
            (C1)  edge [midway] ++(1.8 , 0) |- (E1)
            (C2)  edge [midway] ++(-1.8, 0) |- (E2)
            (C11) edge [midway] ++(0, 1.5)  |- (L11)
            (C12) edge [midway] ++(0, 1.5)  |- (L12)
            (C21) edge [midway] ++(0, 1.5)  |- (L21)
            (C22) edge [midway] ++(0, 1.5)  |- (L22);
\end{tikzpicture}
